<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <script type="text/javascript">
        var i=12;
        var name='soct';
        var bflag=true;
        var obj=null;
        var nud;
        document.write(typeof i);
        document.write("<br>");
        document.write(typeof name);
        document.write("<br>");
        document.write(typeof bflag);
        document.write("<br>");
        document.write(typeof null);
        document.write("<br>");
        document.write(typeof nud);
    </script>
</body>
</html>